> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1publicintegrations



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/public/integrations
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/public/integrations:
    get:
      tags:
        - Integrations
      operationId: integrations.public
      responses:
        '200':
          description: The collection of `IntegrationData`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/IntegrationData'
                required:
                  - data
components:
  schemas:
    IntegrationData:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        meta:
          $ref: '#/components/schemas/IntegrationMetaData'
        type:
          type:
            - string
            - 'null'
        team_id:
          type:
            - string
            - 'null'
        status:
          type: string
        vendor:
          anyOf:
            - $ref: '#/components/schemas/IntegrationVendorData'
            - type: 'null'
        team:
          anyOf:
            - $ref: '#/components/schemas/IntegrationTeamData'
            - type: 'null'
      required:
        - id
        - name
        - meta
        - type
        - team_id
        - status
        - vendor
        - team
      title: IntegrationData
    IntegrationMetaData:
      type: object
      properties:
        name:
          type: string
        description:
          type:
            - string
            - 'null'
        overview:
          type:
            - string
            - 'null'
        solutions:
          type: array
          items:
            type: string
            enum:
              - SMS Marketing
              - SMS Hub
        service:
          type: string
          enum:
            - Enrichment
            - Gateways
            - Domains
        type:
          type: string
        scopes:
          type:
            - array
            - 'null'
          items:
            type: object
            properties:
              method:
                type: string
              endpoint:
                type: string
              reason:
                type: string
        webhooks:
          type:
            - object
            - 'null'
          properties:
            live:
              type: string
            sandbox:
              type:
                - string
                - 'null'
          required:
            - live
        events:
          type:
            - object
            - 'null'
          properties:
            subscribed:
              type:
                - array
                - 'null'
              items:
                type: object
                properties:
                  type:
                    type: string
                  reason:
                    type: string
                  hold_until_response:
                    type: boolean
                  type_priority:
                    type: integer
                  is_optional:
                    type:
                      - boolean
                      - 'null'
            errors:
              type:
                - array
                - 'null'
              items:
                type: object
                properties:
                  type:
                    type: string
                  description:
                    type: string
            success_response:
              type:
                - array
                - 'null'
              items:
                type: object
                properties:
                  type:
                    type: string
                  description:
                    type: string
        custom_fields:
          type:
            - array
            - 'null'
          items:
            type: object
            properties:
              resource:
                type: string
              name:
                type: string
              type:
                type: string
              description:
                type: string
        billing:
          type:
            - object
            - 'null'
          properties:
            managed_balance:
              type: boolean
            cost:
              type: array
              items:
                type: object
                properties:
                  amount:
                    type: number
                  currency:
                    type: string
                  description:
                    type: string
            overview:
              type: string
        required_fields:
          type:
            - array
            - 'null'
          items:
            type: object
            properties:
              type:
                type: string
              name:
                type: string
              description:
                type: string
              default:
                type:
                  - string
                  - 'null'
              required:
                type: boolean
        validate_api_key:
          type:
            - boolean
            - 'null'
        tags:
          type:
            - array
            - 'null'
          items:
            type: string
      required:
        - name
        - description
        - overview
        - solutions
        - service
        - type
        - scopes
        - webhooks
        - events
        - custom_fields
        - billing
        - required_fields
        - validate_api_key
        - tags
      title: IntegrationMetaData
    IntegrationVendorData:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        status:
          type: string
        meta:
          $ref: '#/components/schemas/IntegrationVendorMetaData'
      required:
        - id
        - name
        - status
        - meta
      title: IntegrationVendorData
    IntegrationTeamData:
      type: object
      properties:
        id:
          type: string
        integration_id:
          type: string
        meta:
          $ref: '#/components/schemas/IntegrationTeamMetaData'
      required:
        - id
        - integration_id
        - meta
      title: IntegrationTeamData
    IntegrationVendorMetaData:
      type: object
      properties:
        email:
          type: string
        website:
          type: string
        logo:
          type:
            - string
            - 'null'
      required:
        - email
        - website
        - logo
      title: IntegrationVendorMetaData
    IntegrationTeamMetaData:
      type: object
      properties:
        events:
          type:
            - array
            - 'null'
          items:
            type: object
            properties:
              type:
                type: string
              is_active:
                type: boolean
            required:
              - type
              - is_active
        required_fields:
          type:
            - array
            - 'null'
          items:
            type: object
            properties:
              name:
                type: string
              value:
                type: string
            required:
              - name
              - value
      required:
        - events
        - required_fields
      title: IntegrationTeamMetaData
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````